##################################################################
#
# config.mk
#
# @file        config.mk
# 
##################################################################
# @maintitle

# @code

# compilers

CC  = gcc
CXX = g++
F77 = f77
AR  = ar -rc
#
#  ----->>>   settings for compilation
#

#-O2
OPTIM = -O5 -Wall -fno-exceptions -fPIC -Wtraditional -Wpointer-arith -Wcast-align -Wwrite-strings -Wconversion -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Woverloaded-virtual -D_REENTRANT 
DEBUG = -g

MARS_LIB = -Llib $(SUBDIRS:%=-l%) -lX11 -lXpm
INCLUDES = -I. $(SUBDIRS:%=-I%)

# uncomment this for quiet compilation

.SILENT:

# @endcode
##EOF


